<?php
/**
 * @version $Id: form.php 2068 2010-03-16 14:18:50Z mahagr $
 * Kunena Component
 * @package Kunena
 *
 * @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.kunena.com
 *
 * Based on FireBoard Component
 * @Copyright (C) 2006 - 2007 Best Of Joomla All rights reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @link http://www.bestofjoomla.com
 *
 * Based on Joomlaboard Component
 * @copyright (C) 2000 - 2004 TSMF / Jan de Graaff / All Rights Reserved
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 * @author TSMF & Jan de Graaff
 **/

global $topic_emoticons;

require_once (JPATH_COMPONENT . DS . 'lib' .DS. 'kunena.poll.class.php');
$kunena_poll = CKunenaPolls::getInstance();
$kunena_poll->call_javascript_form();
include_once (KUNENA_PATH_LIB . DS . 'kunena.bbcode.js.php');
JHTML::_('behavior.formvalidation');
JHTML::_('behavior.tooltip');
//keep session alive while editing
JHTML::_('behavior.keepalive');
$document = JFactory::getDocument ();
$document->addScriptDeclaration('// <![CDATA[
var kunena_anonymous_check_url = "'.CKunenaLink::GetJsonURL('anynomousallowed').'";
var kunena_anonymous_name = "'.JText::_('COM_KUNENA_USERNAME_ANONYMOUS').'";
// ]]>');
$this->setTitle ( $this->escape($this->title) );

$this->k=0;
?>
<?php CKunenaTools::loadTemplate ( '/pathway.php' )?>

<form class="postform form-validate" id="postform" action="<?php echo CKunenaLink::GetPostURL() ?>"
	method="post" name="postform" enctype="multipart/form-data" onsubmit="return myValidate(this);">
	<input type="hidden" name="action" value="<?php echo $this->action ?>" />
	<?php if (!isset($this->selectcatlist)) : ?>
	<input type="hidden" name="catid" value="<?php echo intval($this->catid) ?>" />
	<?php endif; ?>
	<input type="hidden" name="id" value="<?php echo intval($this->id) ?>" />
	<?php if (! empty ( $this->kunena_editmode )) : ?>
	<input type="hidden" name="do" value="editpostnow" />
	<?php endif; ?>
	<?php echo JHTML::_( 'form.token' ); ?>

	<div id="kpost_message" class="forumlist">
		<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon form">
						<dt class="body">
							<a class="ktitle kl"><strong><?php echo $this->escape($this->title) ?></strong></a>
						</dt>
					</dl>
				</li>
			</ul>
			<ul class="topiclist forums">
				<?php if (isset($this->selectcatlist)): ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_POST_IN_CATEGORY')?></strong>
						</dt>
						<dd>
							<?php echo $this->selectcatlist?>
						</dd>
					</dl>
				</li>
				<?php endif; ?>
				<li class="row" id="kanynomous-check" <?php if ((!$this->allow_anonymous && $this->catid != 0) || !$this->cat_default_allow ): ?>style="display:none;"<?php endif; ?>>
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_POST_AS_ANONYMOUS'); ?></strong>
						</dt>
						<dd>
							<input type="checkbox" id="kanonymous" name="anonymous" value="1" <?php if ($this->anonymous) echo 'checked="checked"'; ?> />
							<label for="kanonymous"><?php echo JText::_('COM_KUNENA_POST_AS_ANONYMOUS_DESC'); ?></label>
						</dd>
					</dl>
				</li>

				<li class="row" id="kanynomous-check-name" <?php if ($this->my->id && ((!$this->allow_anonymous && $this->catid != 0) || !$this->cat_default_allow) ): ?>style="display:none;"<?php endif; ?>>
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_GEN_NAME'); ?></strong>
						</dt>
						<dd>
							<input type="text" id="kauthorname" name="authorname" size="35" class="kinputbox postinput required" maxlength="35" value="<?php echo $this->escape($this->authorName);?>" <?php echo !$this->allow_name_change ? 'disabled="disabled" ' : ''; ?> />
						</dd>
					</dl>
				</li>

		<?php if ($this->config->askemail && !$this->my->id) : ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_GEN_EMAIL');?></strong>
						</dt>
						<dd>
							<input type="text" id="email" name="email"  size="35" class="kinputbox postinput required validate-email" maxlength="35" value="<?php echo !empty($this->email) ? $this->escape($this->email) : '' ?>" />
						</dd>
					</dl>
				</li>
		<?php endif; ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_GEN_SUBJECT'); ?></strong>
						</dt>
						<dd>
							<input type="text" class="kinputbox postinput required" name="subject" id="subject" size="35"
				maxlength="<?php echo $this->escape($this->config->maxsubject); ?>" value="<?php echo $this->escape($this->resubject); ?>" />
						</dd>
					</dl>
				</li>
		<?php if (($this->allow_topic_icons && $this->config->topicicons) || ($this->catid == 0 && $this->config->topicicons)) : ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_GEN_TOPIC_ICON'); ?></strong>
						</dt>
						<dd>
							<?php foreach ($topic_emoticons as $emoid=>$emoimg): ?>
								<input type="radio" name="topic_emoticon" value="<?php echo intval($emoid); ?>" <?php echo $this->emoid == $emoid ? ' checked="checked" ':'' ?> />
								<img src="<?php echo $this->escape(JURI::Root() . CKunenaTools::getTemplateImage("icons/{$emoimg}"));?>" alt="" border="0" />
							<?php endforeach; ?>
						</dd>
					</dl>
				</li>
		<?php endif; ?>
		<?php
		// Now show bbcode editor
			CKunenaTools::loadTemplate('/editor/bbcode.php');
		?>
		<?php
		if ($this->config->allowfileupload || ($this->config->allowfileregupload && $this->my->id != 0)
			|| ($this->config->allowimageupload || ($this->config->allowimageregupload && $this->my->id != 0)
			|| CKunenaTools::isModerator ( $this->my->id, $this->catid ))) :
			//$this->document->addScript ( KUNENA_DIRECTURL . 'js/plupload/gears_init.js' );
			//$this->document->addScript ( KUNENA_DIRECTURL . 'js/plupload/plupload.full.min.js' );
			?>
				<li class="row">
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_EDITOR_ATTACHMENTS'); ?></strong>
						</dt>
						<dd>
							<div id="kattachment-id" class="kattachment">
								<span class="kattachment-id-container"></span>

								<input class="kfile-input-textbox" type="text" readonly="readonly" />
								<div class="kfile-hide hasTip" title="<?php echo JText::_('COM_KUNENA_FILE_EXTENSIONS_ALLOWED')?>::<?php echo $this->escape($this->config->imagetypes); ?>,<?php echo $this->escape($this->config->filetypes); ?>" >
									<input type="button" value="<?php echo  JText::_('COM_KUNENA_EDITOR_ADD_FILE'); ?>" class="kfile-input-button kbutton" />
									<input id="kupload" class="kfile-input hidden" name="kattachment" type="file" />
								</div>
								<a href="#" class="kattachment-remove kbutton" style="display: none"><?php echo  JText::_('COM_KUNENA_GEN_REMOVE_FILE'); ?></a>
								<a href="#" class="kattachment-insert kbutton" style="display: none"><?php echo  JText::_('COM_KUNENA_EDITOR_INSERT'); ?></a>
							</div>

							<?php
							// Include attachments template if we have any
							if ( isset ( $this->attachments ) ) CKunenaTools::loadTemplate('/editor/attachments.php')
							?>
						</dd>
					</dl>
				</li>
		<?php endif; ?>
		<?php if (!empty($this->cansubscribe)) : ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_POST_SUBSCRIBE'); ?></strong>
						</dt>
						<dd>
							<?php if ($this->config->subscriptionschecked == 1) : ?>
							<input type="checkbox" name="subscribeMe" value="1" checked="checked" />
							<i><?php echo JText::_('COM_KUNENA_POST_NOTIFIED'); ?></i>
							<?php else : ?>
							<input type="checkbox" name="subscribeMe" value="1" />
							<i><?php echo JText::_('COM_KUNENA_POST_NOTIFIED'); ?></i>
							<?php endif; ?>
						</dd>
					</dl>
				</li>
		<?php endif; ?>
		<?php
		//Begin captcha
		if ($this->hasCaptcha()) : ?>
				<li class="row">
					<dl class="icon">
						<dt>
							<strong><?php echo JText::_('COM_KUNENA_CAPDESC'); ?></strong>
						</dt>
						<dd>
						<?php $this->displayCaptcha() ?>
						</dd>
					</dl>
				</li>
		<?php
		endif;
		// Finish captcha
		?><?php if ($this->config->askemail) : ?>
				<li class="row">
					<dl class="icon">
						<dt class="full"></dt><dd>
							<span class="tk-askemail">
								<?php echo $this->config->showemail == '0' ? "<em>* - " . JText::_('COM_KUNENA_POST_EMAIL_NEVER') . "</em>" : "<em>* - " . JText::_('COM_KUNENA_POST_EMAIL_REGISTERED') . "</em>"; ?>
							</span>
						</dd>
					</dl>
				</li>
			<?php endif; ?>
				<li class="row">
					<dl class="icon">
						<dt class="full">
						</dt>
						<dd>
							<div class="postbuttonset">
								<input type="submit" name="ksubmit" class="kbutton"
								value="<?php echo (' ' . JText::_('COM_KUNENA_GEN_CONTINUE') . ' ');?>"
								title="<?php echo (JText::_('COM_KUNENA_EDITOR_HELPLINE_SUBMIT'));?>" />
								<input type="button" name="cancel" class="kbutton"
								value="<?php echo (' ' . JText::_('COM_KUNENA_GEN_CANCEL') . ' ');?>"
								onclick="javascript:window.history.back();"
								title="<?php echo (JText::_('COM_KUNENA_EDITOR_HELPLINE_CANCEL'));?>" />
							</div>
						</dd>
					</dl>
				</li>
			</ul><div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
			<span class="corners-bottom"><span></span></span>
		</div>
	</div>
<?php
if (!$this->authorName) {
	echo '<script type="text/javascript">document.postform.authorname.focus();</script>';
} else if (!$this->resubject) {
	echo '<script type="text/javascript">document.postform.subject.focus();</script>';
} else {
	echo '<script type="text/javascript">document.postform.message.focus();</script>';
}
?>
</form>
<?php if ($this->hasThreadHistory ()) : ?>
	<div id="history">
		<?php $this->displayThreadHistory (); ?>
	</div>
<?php endif; ?>