<?php
/**
* @version $Id: advsearch.php 2761 2010-06-17 20:00:31Z mahagr $
* Kunena Component
* @package Kunena
*
* @Copyright (C) 2008 - 2010 Kunena Team All rights reserved
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* @link http://www.kunena.com
**/

defined( '_JEXEC' ) or die();

if(isset($this->advsearch_hide) && $this->advsearch_hide==1)
{
	$advsearch_class = ' open';
	$advsearch_style = ' style="display: none;"';
} else {
	$advsearch_class = ' close';
	$advsearch_style = '';
}
$this->doc->addScriptDeclaration( "// <![CDATA[
document.addEvent('domready', function() {
	// Attach auto completer to the following ids:
	new Autocompleter.Request.JSON('kusername', '" . CKunenaLink::GetJsonURL('autocomplete', 'getuser', false) . "', { 'postVar': 'value' });
});
// ]]>");
?>
<form action="<?php echo CKunenaLink::GetSearchURL('advsearch'); ?>" method="post" id="searchform" name="adminForm">
<div class="forumlist tk-advsearch">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon advsearch">
						<dt>
							<span class="ktitle kl"><?php echo JText::_('COM_KUNENA_SEARCH_ADVSEARCH'); ?></span>
						</dt>
						<dd class="tk-toggler"><a class="ktoggler <?php echo $advsearch_class; ?>" rel="advsearch"></a></dd>
					</dl>
				</li>
			</ul>
			<div id="advsearch">
			<ul <?php echo $advsearch_style; ?> class="topiclist forums">

				<li class="row">
					<dl class="icon-search">
						<dt>
							<?php echo JText::_('COM_KUNENA_SEARCH_SEARCHBY_KEYWORD'); ?>
						</dt>
						<dd class="tk-search-first">
							<label for="keywords">
							<?php //echo JText::_('COM_KUNENA_SEARCH_KEYWORDS'); ?>
							</label>
							<input id="keywords" type="text" class="" name="q" size="35" value="<?php echo $this->escape($this->q); ?>"/>
						</dd>
						<dd>
							<select id="keywordfilter" class="" name="titleonly">
							<option value="0"<?php if ($this->params['titleonly']==0) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SEARCH_POSTS'); ?></option>
							<option value="1"<?php if ($this->params['titleonly']==1) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SEARCH_TITLES'); ?></option>
							</select>
						</dd>
						<dd>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl class="icon-search">
						<dt>
							<?php echo JText::_('COM_KUNENA_SEARCH_SEARCHBY_USER'); ?>
						</dt>
						<dd class="tk-search-first">
							<label for="username">
							<?php //echo JText::_('COM_KUNENA_SEARCH_UNAME'); ?>
							</label>
							<input id="username" type="text" name="searchuser" value="<?php echo $this->escape($this->params['searchuser']); ?>" />
						</dd>
						<dd>
							<select name="starteronly">
							<option value="0"<?php if ($this->params['starteronly']==0) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_USER_POSTED'); ?></option>
							<!--<option value="1"<?php if ($this->params['starteronly']==1) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_USER_STARTED'); ?></option>
							<option value="2"<?php if ($this->params['starteronly']==2) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_USER_ACTIVE'); ?></option>-->
							</select>
						</dd>
						<dd>
							<label for="exactname">
							<input type="checkbox" name="exactname" value="1" <?php if ($this->params['exactname']) echo $this->checked; ?> />
							<span onClick="document.adminForm.exactname.checked=(! document.adminForm.exactname.checked);"><?php echo JText::_('COM_KUNENA_SEARCH_EXACT'); ?></span>
							</label>
						</dd>
					</dl>
				</li>
			</ul>
		<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
	</div>
<span class="corners-bottom"><span></span></span>
 <div class="forumlist tk-advsearch-option">
	<div class="catinner">
		<span class="corners-top"><span></span></span>
			<ul class="topiclist">
				<li class="header">
					<dl class="icon advsearch">
						<dt><span class="ktitle kl"><?php echo JText::_('COM_KUNENA_SEARCH_OPTIONS'); ?></span>
						</dt><dd style="float:right;"><a class="ktoggler <?php echo $advsearch_class; ?>" rel="advsearch_option"></a></dd>
					</dl>
				</li>
			</ul>
			<div id="advsearch_option">
			<ul <?php echo $advsearch_style; ?> class="topiclist forums">
				<li class="row">
					<dl class="icon-search">
						<dt>
							<?php echo JText::_('COM_KUNENA_SEARCH_FIND_POSTS'); ?>
						</dt>
						<dd class="tk-search-first">
							<select class="ks" name="searchdate">
								<option value="lastvisit"<?php if ($this->params['searchdate']=="lastvisit") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_LASTVISIT'); ?></option>
								<option value="1"<?php if ($this->params['searchdate']==1) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_YESTERDAY'); ?></option>
								<option value="7"<?php if ($this->params['searchdate']==7) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_WEEK'); ?></option>
								<option value="14"<?php if ($this->params['searchdate']==14) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_2WEEKS'); ?></option>
								<option value="30"<?php if ($this->params['searchdate']==30) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_MONTH'); ?></option>
								<option value="90"<?php if ($this->params['searchdate']==90) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_3MONTHS'); ?></option>
								<option value="180"<?php if ($this->params['searchdate']==180) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_6MONTHS'); ?></option>
								<option value="365"<?php if ($this->params['searchdate']==365) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_YEAR'); ?></option>
								<option value="all"<?php if ($this->params['searchdate']=="all") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_ANY'); ?></option>
							</select>
						</dd>
						<dd class="tk-search-last">
							<select class="ks" name="beforeafter">
								<option value="after"<?php if ($this->params['beforeafter']=="after") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_NEWER'); ?></option>
								<option value="before"<?php if ($this->params['beforeafter']=="before") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_DATE_OLDER'); ?></option>
							</select>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl class="icon-search">
						<dt>
							<?php echo JText::_('COM_KUNENA_SEARCH_SORTBY'); ?>
						</dt>
						<dd class="tk-search-first">
								<select class="ks" name="sortby">
								<option value="title"<?php if ($this->params['sortby']=="title") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SORTBY_TITLE'); ?></option>
								<option value="views"<?php if ($this->params['sortby']=="views") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SORTBY_VIEWS'); ?></option>
								<option value="lastpost"<?php if ($this->params['sortby']=="lastpost") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SORTBY_POST'); ?></option>
								<option value="forum"<?php if ($this->params['sortby']=="forum") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SORTBY_FORUM'); ?></option>
							</select>
						</dd>
						<dd>
							<select class="ks" name="order">
								<option value="inc"<?php if ($this->params['order']=="inc") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SORTBY_INC'); ?></option>
								<option value="dec"<?php if ($this->params['order']=="dec") echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_SORTBY_DEC'); ?></option>
							</select>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl class="icon-search">
						<dt>
							<?php echo JText::_('COM_KUNENA_SEARCH_START'); ?>
						</dt>
						<dd class="tk-search-first">
							<input class="ks input" type="text" name="limitstart" value="<?php echo $this->limitstart; ?>" size="5" />
						</dd>
						<dd>
							<select class="ks" name="limit">
								<option value="5"<?php if ($this->limit==5) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_LIMIT5'); ?></option>
								<option value="10"<?php if ($this->limit==10) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_LIMIT10'); ?></option>
								<option value="15"<?php if ($this->limit==15) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_LIMIT15'); ?></option>
								<option value="20"<?php if ($this->limit==20) echo $this->selected;?>><?php echo JText::_('COM_KUNENA_SEARCH_LIMIT20'); ?></option>
							</select>
						</dd>
					</dl>
				</li>
				<li class="row">
					<dl class="icon-search caticon-cpollicon">
						<dt>
							<?php echo JText::_('COM_KUNENA_SEARCH_SEARCHIN'); ?>
						</dt>
						<dd class="tk-search-first">
							<?php echo $this->categorylist; ?>
						</dd>
						<dd>
						<label id="childforums-lbl" for="childforums">
							<input type="checkbox" name="childforums" value="1" <?php if ($this->params['childforums']) echo 'checked="checked"'; ?> />
							<span onClick="document.adminForm.childforums.checked=(! document.adminForm.childforums.checked);"><?php echo JText::_('COM_KUNENA_SEARCH_SEARCHIN_CHILDREN'); ?></span>
						</label>
						</dd>
					</dl>
				</li>
				<?php if ( CKunenaTools::isModerator($this->my->id) ) { ?>
				<li class="row">
					<dl class="icon-search">
						<dt>
							<?php echo JText::_('COM_KUNENA_SEARCH_SHOW'); ?>
						</dt>
						<dd class="tk-search-first">
							<input id="show0" type="radio" name="show" value="0" <?php if ($this->params['show']==0) echo 'checked="checked"'; ?> />
							<label for="show0"><?php echo JText::_('COM_KUNENA_SEARCH_SHOW_NORMAL'); ?></label><br/>
							<input id="show1" type="radio" name="show" value="1" <?php if ($this->params['show'] == 1) echo 'checked="checked"'; ?> />
							<label for="show1"><?php echo JText::_('COM_KUNENA_SEARCH_SHOW_UNAPPROVED'); ?></label><br/>
							<input id="show2" type="radio" name="show" value="2" <?php if ($this->params['show'] == 2) echo 'checked="checked"'; ?> />
							<label for="show2"><?php echo JText::_('COM_KUNENA_SEARCH_SHOW_TRASHED'); ?></label><br/>
						</dd>
					</dl>
				</li>
				<?php } ?>
				<li class="row">
					<dl class="icon-search">
						<dt>
							&nbsp;
						</dt>
						<dd class="tk-search-first">
							<span class="searchbutton">
								<input class="kbutton ks" type="submit" value="<?php echo JText::_('COM_KUNENA_SEARCH_SEND'); ?>" />
								<input class="kbutton ks" type="reset" value="<?php echo JText::_('COM_KUNENA_SEARCH_CANCEL'); ?>" onclick="window.location='<?php echo CKunenaLink::GetKunenaURL();?>';" />
							</span>
						</dd>
					</dl>
				</li>
			</ul>
			<div class="body-bottom1"><div class="body-bottom2"><div class="body-bottom3"><div class="body-bottom4"></div></div></div></div>
		</div>
		<span class="corners-bottom"><span></span></span>
	</div>
</div>
	</div>
</div>
</form>
